<div class="flex flex-col justify-center py-12 sm:px-6 lg:px-8">
  <div class="sm:mx-auto sm:w-full sm:max-w-md">
    <h2 class="mt-6 text-center text-3xl font-extrabold text-gray-400">
      Sign in to your fishing account
    </h2>
  </div>

  <div class="mt-8 sm:mx-auto sm:w-full sm:max-w-md">
    <div class="bg-gradient-to-tr from-gray-800 via-gray-700 to-gray-800 py-8 px-4 shadow sm:rounded-lg sm:px-10">
      <div class="space-y-6">
        <div *ngIf="errors.length > 0" class="w-100 px-3 py-2 bg-gradient-to-r from-red-900 via-red-800 to-red-900 rounded">
          <p *ngFor="let error of errors" class="text-white"> - {{ error }}</p>
        </div>
        <div>
          <label for="username" class="block text-sm font-medium text-gray-200">
            Username
          </label>
          <div class="mt-1">
            <input id="username" [(ngModel)]="userName" name="username" type="text" autocomplete="username" required class="appearance-none block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm placeholder-gray-400 focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm">
          </div>
        </div>

        <div>
          <label for="password" class="block text-sm font-medium text-gray-200">
            Password
          </label>
          <div class="mt-1">
            <input id="password" [(ngModel)]="password" name="password" type="password" autocomplete="current-password" required class="appearance-none block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm placeholder-gray-400 focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm">
          </div>
        </div>
        <div>
          <button (click)="login()" class="w-full flex justify-center py-2 px-4 border border-transparent rounded shadow-sm text-sm font-medium text-gray-200 bg-gray-600 hover:bg-gray-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">
            Sign in
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
